Preparing the MediaAgent

Updated

If you want to recover messages from Exchange database backup jobs, then verify that the MediaAgent has the required software.

The MediaAgent must have the following software:

  • The Exchange package (the package can be installed in restore-only mode)

  • Microsoft Outlook (64-bit) all versions for PST restores.

    Microsoft Outlook (64-bit) 2010 and 2013 versions for restoring to a mailbox.

  • Visual C++ Redistributable for Visual Studio 2012 Update 4 or a more recent version.

    For more information, see the Microsoft article "Visual C++ Redistributable for Visual Studio 2012 Update 4", https://www.microsoft.com/en-us/download/details.aspx?id=30679.

If you installed .NET Framework 4.0 on the MediaAgent, then you must apply the updates that are described in the Microsoft support article "Update for the .NET Framework 4: March, 2011", https://support.microsoft.com/en-us/help/2468871/update-for-the-.net-framework-4-march,-2011.

If you installed .NET Framework 4.5, then no updates are required.